Name:		mod_authnz_external
Version:	3.2.5
Release:	1%{?dist}
Summary:	Apache External Authentication Module

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://code.google.com/p/mod-auth-external/
Source0:	http://mod-auth-external.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	mod_authnz_external.conf
Source2:	mod_authnz_external.pam
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel >= 2.2
Requires:	httpd >= 2.2

%description
Mod_Auth_External can be used to quickly construct secure, reliable
authentication systems.  It can also be mis-used to quickly open gaping
holes in your security.  Read the documentation, and use with extreme
caution.

%prep
%setup -q


%build
# make %{?_smp_mflags}
/usr/sbin/apxs -c %{name}.c


%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -c -m0755 .libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/%{name}.so
install -c -m0644 .libs/%{name}.lai $RPM_BUILD_ROOT%{_libdir}/httpd/modules/%{name}.la
install -c -m0644 .libs/%{name}.a $RPM_BUILD_ROOT%{_libdir}/httpd/modules/%{name}.a
install -c -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -c -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/httpd
ranlib $RPM_BUILD_ROOT%{_libdir}/httpd/modules/%{name}.a

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHENTICATORS CHANGES INSTALL INSTALL.HARDCODE README TODO UPGRADE mysql pwauth radius sybase
%{_libdir}/httpd/modules/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_sysconfdir}/pam.d/httpd

%changelog
* Mon Aug 29 2011 momo-i <webmaster@momo-i.org> - 2.3.9-1
- Initial rpm release.

